Subject: draft-rtgyangdt-rtgwg-routing-types feedback

From: Benoit Claise <[email-masked]>
Date: Fri, 2 Dec 2016 18:10:10 +0100

Dear all,

As I mentioned during the rtgwg meeting, this draft should progress 
fast, to be re-used by other documents.
So obviously, I support the WG adoption.

During the IETF hackathon, Joe Clarke developed this YANG DB search 
tool: http://www.yangcatalog.org/yang-search/yang-search.php

I searched for a couple of typedefs in draft-rtgyangdt-rtgwg-routing-types

Example:

          /*** collection of types related to routing ***/
          typedef router-id {
            type yang:dotted-quad;
            description
              "A 32-bit number in the dotted quad format assigned to each
               router. This number uniquely identifies the router within an
               Autonomous System.";
          }

I inserted (must be a regex):
     router.*id.*

I selected:
     regular-expression
     typedef

Results:

Note that you can select column for ascending/descending order. In this 
view, I selected Organization, to show the IETF first.

For the route-target typedef.

For the route-distinguisher typedef.

I advice the authors:
- to search the YANG DB search for all the typedefs, to make the 
definitions are consistent (and include all cases)
- to go fast with the publication of this document
- to warn all the draft authors to use the definitions in this draft.
     ex: in the last figure, we see that ietf-mpls-mpld (coming from 
https://tools.ietf.org/html/draft-ietf-mpls-mldp-yang-00) specifies a 
route-distinguisher

   typedef route-distinguisher {
     type string {
     }
     description
       "Type definition for route distinguisher.";
     reference
       "RFC4364 <https://tools.ietf.org/html/rfc4364>: BGP/MPLS IP Virtual Private Networks (VPNs).";
   }

Regards, Benoit